be.ehealth.technicalconnector.service.kgss.builders.impl

## Class KgssMessageBuilderImpl

- java.lang.Object
- - be.ehealth.technicalconnector.service.kgss.builders.impl.KgssMessageBuilderImpl

- All Implemented Interfaces:
    ConfigurationModuleBootstrap.ModuleBootstrapHook, KgssMessageBuilder

      public class KgssMessageBuilderImpl
      extends Object
      implements KgssMessageBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `KgssMessageBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KgssMessageBuilderImpl()`
    `KgssMessageBuilderImpl(byte[] etkKgss, Credential encryptionCredential, Map<String,PrivateKey> decryptionKeys)` Instantiates a new kGSS util.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `GetKeyRequest` | `sealGetKeyRequest(GetKeyRequestContent requestContent)` Seal get key request.
    `GetNewKeyRequest` | `sealGetNewKeyRequest(GetNewKeyRequestContent requestContent)` Seal get new key request.
    `GetKeyResponseContent` | `unsealGetKeyResponse(GetKeyResponse response)` Unseal get key response.
    `GetNewKeyResponseContent` | `unsealGetNewKeyResponse(GetNewKeyResponse response)` Unseal get new key response.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KgssMessageBuilderImpl

          public KgssMessageBuilderImpl()

    - #### KgssMessageBuilderImpl

          public KgssMessageBuilderImpl(byte[] etkKgss,
                                        Credential encryptionCredential,
                                        Map<String,PrivateKey> decryptionKeys)
                                 throws TechnicalConnectorException

      Instantiates a new kGSS util.
      Parameters:
        `etkKgss` - The ETK of KGSS
        `encryptionCredential` - The credential to use for sealing the message contents, the certificate is used to seal the request, the private key is embedded in the request.
        `decryptionKeys` - The decrypion keys available for decrypting the received message from KGSS
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

  - ### Method Detail

    - #### sealGetNewKeyRequest

          public GetNewKeyRequest sealGetNewKeyRequest(GetNewKeyRequestContent requestContent)
                                                throws TechnicalConnectorException

      Description copied from interface: `KgssMessageBuilder`
      Seal get new key request.
      Specified by:
        `sealGetNewKeyRequest` in interface `KgssMessageBuilder`
      Parameters:
        `requestContent` - the request content
      Returns:
        the gets the new key request
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### unsealGetNewKeyResponse

          public GetNewKeyResponseContent unsealGetNewKeyResponse(GetNewKeyResponse response)
                                                           throws TechnicalConnectorException

      Description copied from interface: `KgssMessageBuilder`
      Unseal get new key response.
      Specified by:
        `unsealGetNewKeyResponse` in interface `KgssMessageBuilder`
      Parameters:
        `response` - the response
      Returns:
        the gets the new key response content
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### sealGetKeyRequest

          public GetKeyRequest sealGetKeyRequest(GetKeyRequestContent requestContent)
                                          throws TechnicalConnectorException

      Description copied from interface: `KgssMessageBuilder`
      Seal get key request.
      Specified by:
        `sealGetKeyRequest` in interface `KgssMessageBuilder`
      Parameters:
        `requestContent` - the request content
      Returns:
        the gets the key request
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### unsealGetKeyResponse

          public GetKeyResponseContent unsealGetKeyResponse(GetKeyResponse response)
                                                     throws TechnicalConnectorException

      Description copied from interface: `KgssMessageBuilder`
      Unseal get key response.
      Specified by:
        `unsealGetKeyResponse` in interface `KgssMessageBuilder`
      Parameters:
        `response` - the response
      Returns:
        the gets the key response content
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.